{
  "extends": ["./.svelte-kit/tsconfig.json", "./libs/common/tsconfig.json"],
  "compilerOptions": {
    /**
     * Typechecks JS in `.svelte` and `.js` files by default.
     * Disable checkJs if you'd like to use dynamic types in JS.
     * Note that setting allowJs false does not prevent the use
     * of JS in `.svelte` files.
     */
    "allowJs": true,
    //  "checkJs": true,

    // Specify the base URL for module resolution.
    "baseUrl": ".",

    // Specify path mapping aliases.
    "paths": {
      "@common/*": ["libs/common/src/*"],
      "@web-common/*": ["libs/web-common/src/*"],
      "@svelte-common/*": ["libs/svelte-common/src/*"],
      "@svelte-ui/*": ["libs/svelte-ui/src/*"],
      "$world/*": ["src/services/world/*"],
      "$account/*": ["src/services/account/*"],
      "~/*": ["src/*"],
      "$lib": ["src/lib"],
      "$lib/*": ["src/lib/*"]
    }
  },
  "files": ["node_modules/gsap/types/index.d.ts"],
  // Files to include in compilation.
  "include": ["src", "libs/**/src"],
  // Files to exclude from compilation.
  "exclude": ["node_modules"],
  "references": [{ "path": "./tsconfig.node.json" }]
}
